Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.samlp
Class SubjectQuery

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.samlp.Query
oracle.security.xmlsec.samlp.SubjectQuery`

Direct Known Subclasses:
  AttributeQuery, AuthenticationQuery, AuthorizationDecisionQuery

public abstract class SubjectQuery
extends Query

An abstract class for SubjectQuery element. The SubjectQuery element serves as an extension point that allows new SAML queries that specifies a single subject to be defined. It is of the type SubjectQuerryAbstractType which is an abstract complex type extending QueryAbstractType. Extension elements must use the xsi:type attribute to indicate the derived type.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`protected` | `SubjectQuery(org.w3c.dom.Document owner, java.lang.String uri, java.lang.String localName)` Creates a new `SubjectQuery` instance.
`protected` | `SubjectQuery(org.w3c.dom.Element element)` Creates a new `SubjectQuery` instance from the given Element node.
`protected` | `SubjectQuery(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `SubjectQuery` instance from the given Element node.

Method Summary
`Subject` | `getSubject()` Gets the `Subject` element from this element.
`void` | `setSubject(Subject subject)` Sets the `Subject` element.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubjectQuery

    protected SubjectQuery(org.w3c.dom.Element element)
                    throws org.w3c.dom.DOMException

  Creates a new `SubjectQuery` instance from the given Element node.
Parameters:
  `element` - A SubjectQuery element.

### SubjectQuery

    protected SubjectQuery(org.w3c.dom.Element element,
                           java.lang.String systemId)
                    throws org.w3c.dom.DOMException

  Creates a new `SubjectQuery` instance from the given Element node.
Parameters:
  `element` - A SubjectQuery element.
  `systemId` - The URI string system ID for the `SubjectQuery`.

### SubjectQuery

    protected SubjectQuery(org.w3c.dom.Document owner,
                           java.lang.String uri,
                           java.lang.String localName)
                    throws org.w3c.dom.DOMException

  Creates a new `SubjectQuery` instance.
Parameters:
  `owner` - The owner document of the new SubjectQuery.
  `localName` - The localName of the element represented by the class that extends this abstract class.

Method Detail

### setSubject

    public void setSubject(Subject subject)

  Sets the `Subject` element.
  Parameters:
    `subject` - A `Subject` object specifying a single SAML Subject.

### getSubject

    public Subject getSubject()

  Gets the `Subject` element from this element.
  Returns:
    A `Subject` object specifying a single SAML Subject.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.